import * as actionTypes from './../../constants/auth';

const logOut = () => ({
    type: actionTypes.LOG_OUT_REQUEST
})

export const logOutSuccess = payload => ({
    type: actionTypes.LOG_OUT_REQUEST_SUCCESS,
    payload
})

export const logOutFailure = ({ message: error }) => ({
    type: actionTypes.LOG_OUT_REQUEST_FAILURE,
    error
})

export default logOut;