import React from 'react';
import { Field, reduxForm } from 'redux-form';
import { connect } from 'react-redux';

class CardCreator extends React.Component {
    state = {
        type: null
    }

    render() {
        const { formProps } = this.props;
        console.log('------------ PROPS --------------');
        console.log(formProps);

        return (
            <div>
                <h1>Create Test</h1>
                <Field name='some' component='select'>
                    <option value="some value 1">Optional</option>
                    <option value="some value 2">Multioptional</option>
                    <option value="some value 3">Open Answer</option>
                    <option value="some value 4">Conformity</option>
                </Field>
            </div>
        )
    }
}

const mapStateToProps = state => ({
    formProps: state.form
})

export default connect(mapStateToProps, null)(reduxForm({
    form: "CardCreator"
})(CardCreator))