import * as actionTypes from './../../constants/auth';
import initialState from './../initialState';

export default function signInReducer(state = initialState.tokenCheckout, {type, payload: role, error}) {
    switch(type) {
        case actionTypes.ACTIVE_TOKEN: {
            return {
                ...state,
                role
            }
        }
        case actionTypes.INACTIVE_TOKEN: {
            return {
                ...state,
                role: null
            }
        }
        default: {  
            return state;
        }
    }
}