import { combineReducers } from 'redux';
import { reducer as form } from 'redux-form';

import signIn from './auth/signIn';
import signUp from './auth/signUp';
import logOut from './auth/logOut';
import tokenCheckout from './auth/tokenCheckout';

export default combineReducers({
    tokenCheckout,
    logOut,
    signIn,
    signUp,
    form
})