import { takeEvery } from 'redux-saga/effects';

import * as actionTypes from './../../constants/auth'
import signIn from './signIn';
import signUp from './signUp';
import logOut from './logOut';

export default function* () {
    yield takeEvery(actionTypes.SIGN_IN_REQUEST, signIn)
    yield takeEvery(actionTypes.SIGN_UP_REQUEST, signUp)
    yield takeEvery(actionTypes.LOG_OUT_REQUEST, logOut)
}